Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005GoalRecognizer::EdgePointList Struct Reference

TODO: Write Summary. More...

Collaboration diagram for GT2005GoalRecognizer::EdgePointList:

[legend]
List of all members.

## Public Member Functions
| EdgePointList ()
| Constructs an empty list.
void | add (Vector2< int > &point, GT2005GoalRecognizer::EdgeType type)
| Add an edge point to the list.
int | size ()
| Returns the current size of the list.
int | getCount (GT2005GoalRecognizer::EdgeType type)
| Returns the number of edge points of a certain type.
Vector2< int > & | operator[] (int index)
| Returns an element of the list.
GT2005GoalRecognizer::EdgeType | getType (int index)
| Returns the type of an edge points.
## Private Types
enum | { maxPoints = 20 }
## Private Attributes
Vector2< int > | edgePoint [maxPoints]
GT2005GoalRecognizer::EdgeType | edgeType [maxPoints]
int | numberOfPoints
int | numberOfType [imageBorder+1]

## Detailed Description

TODO: Write Summary.

Definition at line 371 of file GT2005GoalRecognizer.h.

## Member Enumeration Documentation

anonymous enum`[private]`

  | Enumeration values:
  maxPoints |
Definition at line 376 of file GT2005GoalRecognizer.h.

## Constructor & Destructor Documentation

GT2005GoalRecognizer::EdgePointList::EdgePointList | ( |  | ) | `[inline]`

| Constructs an empty list. Definition at line 390 of file GT2005GoalRecognizer.h. References numberOfType.

## Member Function Documentation

void GT2005GoalRecognizer::EdgePointList::add | ( | Vector2< int > & | point,
|  | GT2005GoalRecognizer::EdgeType | type
| ) | `[inline]`

| Add an edge point to the list. Definition at line 398 of file GT2005GoalRecognizer.h. References edgePoint, edgeType, maxPoints, numberOfType, and point. Referenced by GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::detectEdgeTwice().

int GT2005GoalRecognizer::EdgePointList::size | ( |  | ) | `[inline]`

| Returns the current size of the list. Definition at line 412 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoalpost().

int GT2005GoalRecognizer::EdgePointList::getCount | ( | GT2005GoalRecognizer::EdgeType | type | ) | `[inline]`

| Returns the number of edge points of a certain type. Definition at line 418 of file GT2005GoalRecognizer.h. References numberOfType. Referenced by GT2005GoalRecognizer::analyzeGoalpost().

Vector2<int>& GT2005GoalRecognizer::EdgePointList::operator[] | ( | int | index | ) | `[inline]`

| Returns an element of the list. Definition at line 424 of file GT2005GoalRecognizer.h. References edgePoint.

GT2005GoalRecognizer::EdgeType GT2005GoalRecognizer::EdgePointList::getType | ( | int | index | ) | `[inline]`

| Returns the type of an edge points. Definition at line 430 of file GT2005GoalRecognizer.h. References edgeType, and GT2005GoalRecognizer::EdgeType. Referenced by GT2005GoalRecognizer::analyzeGoalpost().

## Member Data Documentation

Vector2<int> GT2005GoalRecognizer::EdgePointList::edgePoint[maxPoints]`[private]`

| Definition at line 377 of file GT2005GoalRecognizer.h. Referenced by add(), and operator[]().

GT2005GoalRecognizer::EdgeType GT2005GoalRecognizer::EdgePointList::edgeType[maxPoints]`[private]`

| Definition at line 378 of file GT2005GoalRecognizer.h. Referenced by add(), and getType().

int GT2005GoalRecognizer::EdgePointList::numberOfPoints`[private]`

| Definition at line 381 of file GT2005GoalRecognizer.h.

int GT2005GoalRecognizer::EdgePointList::numberOfType[imageBorder+1]`[private]`

| Definition at line 384 of file GT2005GoalRecognizer.h. Referenced by add(), EdgePointList(), and getCount().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005GoalRecognizer.h